org.modeshape.connector.git

## Class CallSpecification

- java.lang.Object
- - org.modeshape.connector.git.CallSpecification

-     @Immutable
      public final class CallSpecification
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static char` | `DELIMITER`
    `protected static String` | `DELIMITER_STR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallSpecification(String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `childId(String childPart)`
    `String` | `getFunctionName()`
    `String` | `getId()` The identifier of this call.
    `String` | `getParentId()`
    `String` | `lastParameter()`
    `String` | `parameter(int index)` Get the specified parameter.
    `int` | `parameterCount()`
    `String` | `parametersAsPath(int fromIndex)`
    `String` | `parametersAsPath(int fromIndex, int toIndex)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DELIMITER_STR

          protected static final String DELIMITER_STR

      See Also:
        Constant Field Values

    - #### DELIMITER

          protected static final char DELIMITER

  - ### Constructor Detail

    - #### CallSpecification

          public CallSpecification(String id)

  - ### Method Detail

    - #### getFunctionName

          public String getFunctionName()

    - #### getId

          public String getId()

      The identifier of this call.
      Returns:
        the identifier; never null

    - #### parameterCount

          public int parameterCount()

    - #### parameter

          public String parameter(int index)

      Get the specified parameter.
      Parameters:
        `index` - the 0-based index of the parameter, excluding the first segment that is the name
      Returns:
        the parameter

    - #### parametersAsPath

          public String parametersAsPath(int fromIndex)

    - #### parametersAsPath

          public String parametersAsPath(int fromIndex,
                                int toIndex)

    - #### lastParameter

          public String lastParameter()

    - #### childId

          public String childId(String childPart)

    - #### getParentId

          public String getParentId()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.